# Uses of Class
org.apache.commons.math3.linear.SingularMatrixException

Packages that use SingularMatrixException
Package
Description
org.apache.commons.math3.distribution
Implementations of common discrete and continuous distributions.
org.apache.commons.math3.distribution.fitting
Fitting of parameters against distributions.
org.apache.commons.math3.filter
Implementations of common discrete-time linear filters.
org.apache.commons.math3.linear
Linear algebra support.

## Uses of SingularMatrixException in org.apache.commons.math3.distribution

Constructors in org.apache.commons.math3.distribution that throw SingularMatrixException
Modifier
Constructor
Description
``
`MultivariateNormalDistribution(double[] means, double[][] covariances)`
Creates a multivariate normal distribution with the given mean vector and covariance matrix.
``
`MultivariateNormalDistribution(RandomGenerator rng, double[] means, double[][] covariances)`
Creates a multivariate normal distribution with the given mean vector and covariance matrix.

## Uses of SingularMatrixException in org.apache.commons.math3.distribution.fitting

Methods in org.apache.commons.math3.distribution.fitting that throw SingularMatrixException
Modifier and Type
Method
Description
`void`
MultivariateNormalMixtureExpectationMaximization.`fit(MixtureMultivariateNormalDistribution initialMixture)`
Fit a mixture model to the data supplied to the constructor.
`void`
MultivariateNormalMixtureExpectationMaximization.`fit(MixtureMultivariateNormalDistribution initialMixture, int maxIterations, double threshold)`
Fit a mixture model to the data supplied to the constructor.

## Uses of SingularMatrixException in org.apache.commons.math3.filter

Methods in org.apache.commons.math3.filter that throw SingularMatrixException
Modifier and Type
Method
Description
`void`
KalmanFilter.`correct(double[] z)`
Correct the current state estimate with an actual measurement.
`void`
KalmanFilter.`correct(RealVector z)`
Correct the current state estimate with an actual measurement.

## Uses of SingularMatrixException in org.apache.commons.math3.linear

Methods in org.apache.commons.math3.linear that throw SingularMatrixException
Modifier and Type
Method
Description
`RealMatrix`
DecompositionSolver.`getInverse()`
Get the pseudo-inverse of the decomposed matrix.
`DiagonalMatrix`
DiagonalMatrix.`inverse()`
Computes the inverse of this diagonal matrix.
`DiagonalMatrix`
DiagonalMatrix.`inverse(double threshold)`
Computes the inverse of this diagonal matrix.
`static RealMatrix`
MatrixUtils.`inverse(RealMatrix matrix)`
Computes the inverse of the given matrix.
`static RealMatrix`
MatrixUtils.`inverse(RealMatrix matrix, double threshold)`
Computes the inverse of the given matrix.
`RealMatrix`
DecompositionSolver.`solve(RealMatrix b)`
Solve the linear equation A × X = B for matrices A.
`RealVector`
DecompositionSolver.`solve(RealVector b)`
Solve the linear equation A × X = B for matrices A.